Package org.eclipse.cdt.utils

## Class WindowsArgumentQuoter

- java.lang.Object
- - org.eclipse.cdt.utils.WindowsArgumentQuoter

    public class WindowsArgumentQuoter
    extends Object

Implementation of proper Windows quoting based on blog post: https://docs.microsoft.com/en-ca/archive/blogs/twistylittlepassagesallalike/everyone-quotes-command-line-arguments-the-wrong-way

Restriction:
  This class is not intended to be referenced by clients.

### Constructor Summary

Constructors
`WindowsArgumentQuoter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `quoteArgv​(String[] cmdarray, boolean force)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WindowsArgumentQuoter

    public WindowsArgumentQuoter()

### Method Detail

#### quoteArgv

    public static String quoteArgv​(String[] cmdarray,
                                   boolean force)